io.vertx.ext.web.handler.graphql

## Enum ApolloWSMessageType

- java.lang.Object
- - java.lang.Enum<ApolloWSMessageType>
  - - io.vertx.ext.web.handler.graphql.ApolloWSMessageType

- All Implemented Interfaces:
    Serializable, Comparable<ApolloWSMessageType>

      public enum ApolloWSMessageType
      extends Enum<ApolloWSMessageType>

  The `ApolloWSMessage` types.
  Author:
    Rogelio Orts

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE`
    `CONNECTION_ACK`
    `CONNECTION_ERROR`
    `CONNECTION_INIT`
    `CONNECTION_KEEP_ALIVE`
    `CONNECTION_TERMINATE`
    `DATA`
    `ERROR`
    `START`
    `STOP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApolloWSMessageType` | `from(String type)` Get an `ApolloWSMessageType` from its text representation.
    `String` | `getText()`
    `static ApolloWSMessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApolloWSMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTION_INIT

          public static final ApolloWSMessageType CONNECTION_INIT

    - #### CONNECTION_TERMINATE

          public static final ApolloWSMessageType CONNECTION_TERMINATE

    - #### START

          public static final ApolloWSMessageType START

    - #### STOP

          public static final ApolloWSMessageType STOP

    - #### CONNECTION_ACK

          public static final ApolloWSMessageType CONNECTION_ACK

    - #### CONNECTION_ERROR

          public static final ApolloWSMessageType CONNECTION_ERROR

    - #### CONNECTION_KEEP_ALIVE

          public static final ApolloWSMessageType CONNECTION_KEEP_ALIVE

    - #### DATA

          public static final ApolloWSMessageType DATA

    - #### ERROR

          public static final ApolloWSMessageType ERROR

    - #### COMPLETE

          public static final ApolloWSMessageType COMPLETE

  - ### Method Detail

    - #### values

          public static ApolloWSMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApolloWSMessageType c : ApolloWSMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApolloWSMessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getText

          public String getText()

      Returns:
        text representation of the `ApolloWSMessage`

    - #### from

          public static ApolloWSMessageType from(String type)

      Get an `ApolloWSMessageType` from its text representation.
      Parameters:
        `type` - the message type text representation
      Returns:
        the corresponding message type or null if none matches

Copyright © 2021 Eclipse. All rights reserved.